Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 225129

Summary: NULL Pointer dereference in mos7720.c
Product: [Fedora] Fedora Reporter: Christoph Höger <choeger>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: jonstanley, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-02-08 04:27:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 427887    
Attachments:
Description Flags
dmesg output none

Description Christoph Höger 2007-01-29 07:55:04 UTC
Description of problem:

The mos7720.c driver dereferences a NULL Pointer in mos7720_open

Version-Release number of selected component (if applicable):
kernel2.6.19-1.2895.fc6
(but seems to be buggy in 2.6.20rc* too)

Steps to Reproduce:
1. load mos7720
2. plug in the device
3. stty -D /dev/ttyUSB0
  
Actual results:
The kernel prints out the error trace.

Expected results:
Some serial line stuff.

Additional info:
This is not actually a fedora but a linux bug. But because I like bugzilla (and
fedora ;)) more then the kernel mailing list, i file it in here.

Comment 1 Christoph Höger 2007-01-29 07:55:05 UTC
Created attachment 146811 [details]
dmesg output

Comment 2 Jon Stanley 2008-01-08 01:54:58 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 3 Jon Stanley 2008-02-08 04:27:58 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!